#3576 closed defect (fixed)

gdb 8.0.1 sis does not build on Cygwin

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: tool/gdb Version: 5
Severity: normal Keywords: sis, cygwin
Cc: Blocked By:
Blocking:

Description

Cygwin no longer has libtermcap. gdb/sim/erc32 needs a patch to find libncurses. Upstream gdb patch already merged.

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commitdiff;h=c1230d1bab8e36e1aa40f3bbadcef9b5d9ddc041

This ticket is just to contain a patch that applies cleanly to gdb 8.0.1 and to track adding that patch to the RSB.

Attachments (1)

gdb-8.0.1-sis-cygwin.diff (2.1 KB) - added by Joel Sherrill on Oct 30, 2018 at 11:17:00 PM.
Patch for sis on Cygwin

Download all attachments as: .zip

Change History (3)

Changed on Oct 30, 2018 at 11:17:00 PM by Joel Sherrill

Attachment: gdb-8.0.1-sis-cygwin.diff added

Patch for sis on Cygwin

comment:1 Changed on Nov 12, 2018 at 8:13:15 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In 84a94f7/rtems-source-builder:

rtems-gdb-8.0.1-1.cfg: Add Cygwin patch for ncurses not termcap

This also updates windows.py to distinguish betweem MSYS2 and Cygwin.

closes #3576.

comment:2 Changed on Nov 14, 2018 at 6:47:45 PM by Joel Sherrill <joel@…>

In 384ff19/rtems-source-builder:

rtems-gdb-8.0.1-1.cfg: Correct previous commit.

Updates #3576.

Note: See TracTickets for help on using tickets.